Subject: [lp-wan] review draft-ietf-lpwan-ipv6-static-context-hc-03 (part II)

From: "Prof. Diego Dujovne" <[email-masked]>
Date: Wed, 24 May 2017 06:34:45 -0400

I post the review from section 8 until the end.

Fragmentation

- "If the datagram does not fit within a single L2 data unit, it SHALL

   be broken into fragments."

And if not broken into fragments, the alternative is to

drop the packet?

- "Things (End Systems)"

There was recently a discussion on using or not the term

"Things" for devices. This shall follow the results of this

discussion.

- "topology, and therefore"

remove comma.

Reliability options: discussion

- "Figure Figure 7 summarizes"

remove one "Figure"

- "provides flow control"

I don't know if this is exactly flow control in the terms

of what it is known in TCP. For TCP, one lost packet signals

that the bandwidth limit for the flow is full (probably due

to congestion), and there is no congestion at the lpwan level.

What is true is that this mechanism stops

- Figure 7

Do we differentiate Figures and Tables?

Fragmentation header formats

I am worried about the "SHALL" term. The header MUST be

as described, if not, there will be no interoperability.

I suggest to describe the fields of the fragmentation

header before the types of header. One has to wait to the

last one to understand them.

I can understand you have to create a rule for each

fragmentation reliability option used. Am I right?

-  "options,

  N equal to or "

remove CR/LF

-"The ACK

          provides"

remove CR/LF

-"sender

   renumbers the CFNs

remove CR/LF

Aborting a fragmented IPv6 datagram transmission

*As it is defined in this section by *TBD_ABORT_RX*, it would be
practical to have a list *

*of rule identifiers required to implement fragmentation.*

*- "* on- going,"

remove space.

Security considerations for fragmentation

- "{HHWH}"

what is this?

-- 
DIEGO DUJOVNE
Profesor Asociado
Escuela de Informática y Telecomunicaciones
Facultad de Ingeniería - Universidad Diego Portales - Chile
www.ingenieria.udp.cl
(56 2) 676 8125